#ifndef LINT
#ifdef RCS_ID
static char *rcsid=  "$Header: /u/meo/srcX/meo/xbiff/RCS/xbiff.c,v 1.1 1993/11/01 22:42:38 meo Exp meo $";
#endif RCS_ID
#endif LINT
/*
 * $XConsortium: xbiff.c,v 1.7 88/09/26 18:49:32 jim Exp $
 *
 *  PORTIONS COPYRIGHT 1992, 1996, Roadkills-R-Us, Austin, Texas.
 *
 *  Permission is hereby granted to use, copy, modify and/or distribute
 *  this software and supporting documentation, for any purpose and
 *  without fee, as long as this copyright notice and disclaimer are
 *  included in all such copies and derived works, and as long as
 *  neither the author's nor the copyright holder's name are used
 *  in publicity or distribution of said software and/or documentation
 *  without prior, written permission.
 *
 *  This software is presented as is, with no warranties expressed or
 *  implied, including implied warranties of merchantability and
 *  fitness. In no event shall the author be liable for any special,
 *  direct, indirect or consequential damages whatsoever resulting
 *  from loss of use, data or profits, whether in an action of
 *  contract, negligence or other tortious action, arising out of
 *  or in connection with the use or performance of this software.
 *  In other words, you are on your own. If you don't like it, don't
 *  use it!
 *
 *  Miles O'Neal                               (aka, Roadkills-R-Us)
 *  meo@rru.com     http://www.rru.com/~meo/     http://www.rru.com/
 *  Route 1, Box 558  /  Johnson Road  /  Leander, TX  /  78641-9413
 *
 * Original Source Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:  Jim Fulton, MIT X Consortium
 */

#include <stdio.h>
#include <X11/Xatom.h>
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include "Mailbox.h"
#include "xbiff.xbm"

#include <X11/libXO.h>

extern void exit();

char *ProgramName;

static XrmOptionDescRec options[] = {
{ "-update", "*mailbox.update", XrmoptionSepArg, (caddr_t) NULL },
{ "-file",   "*mailbox.file", XrmoptionSepArg, (caddr_t) NULL },
{ "-volume", "*mailbox.volume", XrmoptionSepArg, (caddr_t) NULL },
};

static void Usage ()
{
    static char *help_message[] = {
"where options include:",
"    -display host:dpy              X server to contact",
"    -geometry geom                 size of mailbox",
"    -file file                     file to watch",
"    -update seconds                how often to check for mail",
"    -volume percentage             how load to ring the bell",
"    -bg color                      background color",
"    -fg color                      foreground color",
"    -rv                            reverse video",
NULL};
    char **cpp;

    fprintf (stderr, "usage:  %s [-options ...]\n", ProgramName);
    for (cpp = help_message; *cpp; cpp++) {
	fprintf (stderr, "%s\n", *cpp);
    }
    fprintf (stderr, "\n");
    exit (1);
}


/*
 * NEW FEATURES (meo@rru)
 *
 * Now supports an icon bitmap (supplied).
 * Uses new Mailbox widget with new features.
 */

void main (argc, argv)
    int argc;
    char **argv;
{
    Widget toplevel, w;

    ProgramName = argv[0];

    toplevel = XtInitialize ("main", "XBiff", options, XtNumber (options),
			     &argc, argv);
    if (argc != 1) Usage ();
    XOAddIconToWidget (toplevel, xbiff_bits, xbiff_width, xbiff_height);

    w = XtCreateManagedWidget ("mailbox", mailboxWidgetClass, toplevel,
			       NULL, 0);
    XtRealizeWidget (toplevel);
    XtMainLoop ();
}

